summaryrefslogtreecommitdiff
path: root/tests/dsd-ssh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dsd-ssh')
-rwxr-xr-xtests/dsd-ssh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/dsd-ssh b/tests/dsd-ssh
new file mode 100755
index 0000000..d5df5aa
--- /dev/null
+++ b/tests/dsd-ssh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+echo >&2 '(((((((((((((((((((((((((((((((((((((((('
+set -x
+
+tmp=$DGIT_TEST_TMP
+cd /
+userhost="$1"; shift
+export SSH_ORIGINAL_COMMAND="$*"
+
+# undoes PERLLIB so that we rely on dgit-ssh-dispatch setting it
+# we have to compensate with -I so that dgit-ssh-dispatch finds Dgit.pm
+unset PERLLIB
+${DGIT_TEST_INTREE+perl -I}$DGIT_TEST_INTREE \
+${DGIT_SSH_DISPATCH_TEST-dgit-ssh-dispatch} -D $tmp
+
+: '))))))))))))))))))))))))))))))))))))))))'